html, body {
    max-width: 100%;
    overflow-x: hidden;
}

body {
    background: #ffffff;
    font-family: 'Inter', sans-serif;
    margin: 0;
    padding: 0;
}

a {
    text-decoration: none;
}

.container {
    max-width: 1106px;
}

@media (max-width: 991px) {
    .container {
        padding: 0 24px;
    }
}

.bg-primary {
    background: #1C79B7 !important;
}

.validation-error {
    color: #dc3545;
    font-weight: 600;
    display: block;
    margin-top: 6px;
}

.is-invalid {
    border-color: #dc3545 !important;
}

/* Navigation - START */

.navbar {
    position: relative;
    z-index: 1000;
    backdrop-filter: blur(64px);
    border: 1px solid #E1E4ED;
    border-top: none;
}

.navbar li a {
    font-weight: 500;
    font-size: 14px;
    color: #6D758F !important;
}

.navbar-toggler {
    width: 40px;
    height: 40px;
    border-radius: 6px;
    border: 1px solid #E1E4ED;
    padding: 0;
}

.navbar .contact-button {
    padding: 6px 12px !important;
    border: 1px solid #1C79B7;
    background: #1C79B7;
    color: #ffffff !important;
    border-radius: 4px;
    font-size: 16px;
    font-weight: 400 !important;
    white-space: nowrap;
}

@media (max-width: 991px) {
    .navbar .contact-button {
        font-size: 13px;
        padding: 5px 10px !important;
    }
}

.navbar .dropdown-toggle::after {
    content: none;
}

.navbar .dropdown-menu {
    min-width: 8rem;
}

.navbar .language-icon {
    width: 26px;
    height: 26px;
}

/* Navigation - END */



/* Breadcrumb - START */

.breadcrumb-container {
    background: #FAFAFA;
    border-bottom: 1px solid #E1E4ED;
}

.breadcrumb .breadcrumb-item a {
    color: #1C79B7 !important;
    text-decoration-line: underline;
    text-decoration-style: solid;
    text-underline-position: from-font;
    text-decoration-skip-ink: none;
}

.breadcrumb .active {
    color:  #6D758F;
}

/* Breadcrumb - END */



/* Header section - START */

.header-section {
    position: relative;
}

.header-section .pattern-background {
    position: absolute;
    width: calc(100% - 20px);
    height: 100%;
    top: 10px;
    left: 10px;
    background-repeat: no-repeat;
    background-position: top center;
    z-index: -1;
}

@media (max-width: 991px) {
    .header-section .pattern-background {
        width: calc(100% - 15px);
        left: 7.5px;
    }
}

.header-section .page {
    font-size: 14px;
    font-weight: 600;
    color: #1C79B7;
}

.header-section .title {
    letter-spacing: -0.01em;
    color: #172F45;
}

.header-section .description {
    max-width: 520px;
    margin-left: auto;
    margin-right: auto;
    color: #6D758F;
}

/* Header section - END */



/* Our partners section - START */

.our-partners-section .title {
    color: #496077;
}

.our-partners-slider img {
    width: auto !important;
    height: auto;
    display: block;
    /*padding-right: 80px;*/
}

.our-partners-slider .slick-track {
    display: flex;
    justify-content: space-between;
}

/*@media (max-width: 1024px) {
    .our-partners-slider img {
        padding-right: 64px;
    }
}

@media (max-width: 768px) {
    .our-partners-slider img {
        padding-right: 28px;
    }
}

@media (max-width: 425px) {
    .our-partners-slider img {
        padding-right: 0;
    }
}*/

/* Our partners section - END */



/* Counts section - START */

.counts-section {
    background-position: right 10px top 10px;
    background-repeat: no-repeat;
}

@media (max-width: 991px) {
    .counts-section {
        background-image: none !important;
    }
}

.counts-section .title {
    font-family: 'Overused Grotesk', 'Inter', sans-serif;
    font-weight: 500 !important;
    color: #172F45;
    font-size: 42px;
}

.counts-section .background-top-right {
    background-position: right 10px top 10px;
}

@media (max-width: 991px) {
    .counts-section .title {
        font-size: 33px;
        text-align: left !important;
    }

    .counts-section .description {
        width: 100% !important;
        text-align: left !important;
    }
}

.counts-section .subtitle {
    color: #496077;
}

.counts-section .count-column {
    font-family: 'Overused Grotesk', 'Inter', sans-serif;
    text-align: left;
    padding: 10px 5px 15px 25px;
    font-size: 42px;
    border-radius: 4px;
    border: 1px solid #E1E4ED;
    box-shadow: 0px 2px 4px 0px #00000013;
}

@media (max-width: 991px) {
    .counts-section .count-bs-column {
        padding-left: 0;
        padding-right: 0;
    }
}

.counts-section .count {
    font-size: 36px;
    color: #172F45;
}

.counts-section .subtitle {
    color: #6D758F;
}

.counts-section .description {
    font-family: 'Inter', sans-serif;
    font-weight: 400 !important;
    color: #6D758F;
    width: 520px;
    margin: 0 auto;
}

/* Counts section - END */



/* Pattern sections - START */

.pattern-section {
    background-repeat: no-repeat;
}

.pattern-section[style*="top-left"] {
    background-position: left 10px top 10px;
}

.pattern-section[style*="top-right"] {
    background-position: right 10px top 10px;
}

@media (max-width: 991px) {
    .pattern-section {
        background-image: none !important;
    }
}

/* Pattern sections - END */

/* Properties section - START */

.property {
    background-position: 10px 10px;
    background-repeat: no-repeat;
}

@media (max-width: 991px) {
    .property {
        background-image: none !important;
    }
}

.properties-section .background-top-right {
    background-position: right 10px top 10px;
}

.properties-section .background-bottom-left {
    background-position: left 10px bottom 10px;
}

.properties-section .background-bottom-right {
    background-position: right 10px bottom 10px;
}

.properties-section .title {
    color: #172F45;
    font-size: 42px;
}

@media (max-width: 991px) {
    .properties-section .title {
        margin-top: 18px;
        font-size: 33px !important;
    }
}

.properties-section .img-fluid {
    border-radius: 8px;
}

@media (max-width: 991px) {
    .properties-section .img-fluid {
        width: 100%;
    }
}

.properties-section .image-left {
    padding-left: 120px;
}

.properties-section .image-right {
    padding-right: 120px;
}

@media (max-width: 991px) {
    .properties-section .image-left {
        padding-left: calc(var(--bs-gutter-x) * .5);
    }

    .properties-section .image-right {
        padding-right: calc(var(--bs-gutter-x) * .5);
    }
}

.properties-section .number {
    width: 36px;
    height: 36px;
    background: #DDEEFD;
    border-radius: 4px;
    color: #1C79B7;
    padding: 10.5px 13px;
    text-align: center;
    line-height: 36px;
    font-weight: 800;
}

.properties-section .building-title {
    color: #172F45;
    font-weight: 800;
}

@media (max-width: 991px) {
    .properties-section .building-title {
        font-size: 32px;
    }
}

.properties-section .short-description {
    color: #6D758F;
}

.properties-section .building-property {
    color: #6D758F;
}

.properties-section .arrow {
    max-width: 100%;
    height: auto;
}

.properties-section .building-property-value {
    color: #6D758F;
    font-weight: 600;
}

.properties-section .view-offer, .slider-section .slider-item-footer .view-offer {
    background: #1C79B7;
    padding: 6px 12px;
    font-weight: 500;
}

@media (max-width: 991px) {
    .properties-section .view-offer {
        width: 100%;
        padding: 11px 0;
        justify-content: center;
    }

    .properties-section .view-offer-link {
        display: block;
        width: 100%;
    }
}

.properties-section .view-offer-text, .slider-section .slider-item-footer .view-offer-text {
    margin-right: 8px;
}

.properties-section .units-left-count {
    color: #6D758F;
    font-weight: 600;
}

.sold-out-button {
    padding: 8px 12px;
    background: #FBE3E2;
    border-radius: 4px;
    color: #E51000;
    font-weight: 600;
}

.available-button {
    padding: 8px 12px;
    background: #ECFDF3;
    border-radius: 4px;
    color: #027A48;
    font-weight: 600;
}

.overlay {
    position: absolute;
    inset: 0;
    display: flex;
    align-items: flex-end;
    background: linear-gradient(to top, rgba(0,0,0,0.7), rgba(0,0,0,0.1));
    padding: 1rem;
}

/* Arrow button */
.arrow-button {
    background: #ffffff !important;
    border: none;
    z-index: 2;
}

.arrow-button:hover {
    background: #f0f0f0 !important;
}

/* INITIAL STATE */
.overlay-content {
    transform: translateY(0);
    transition: transform 0.35s ease;
}

/* Hide description initially (desktop only) */
@media (min-width: 992px) {
    .overlay-content .description {
        max-height: 0;
        opacity: 0;
        overflow: hidden;
        transition: max-height 0.6s ease, opacity 0.5s ease;
    }

    .card:hover .overlay-content .description {
        max-height: 200px;
        opacity: 1;
    }
}

/* Mobile: always visible, no animation */
@media (max-width: 991px) {
    .overlay-content {
        text-align: left;
    }

    .overlay-content .description {
        opacity: 1;
        max-height: none;
    }
}

.cards-section-title {
    font-family: 'Overused Grotesk', 'Inter', sans-serif;
    font-size: 42px;
    color: #172F45;
}

.cards-section-description {
    font-family: 'Inter', sans-serif;
    font-weight: 400;
    max-width: 435px;
    margin: 0 auto;
}

@media (max-width: 991px) {
    .cards-section-title {
        text-align: left !important;
    }

    .cards-section-description {
        text-align: left !important;
        margin: 0;
    }
}


.year-badge {
    display: inline-block;
    padding: 4px 12px;
    font-size: 13px;
    font-weight: 500;
    color: #ffffff;
    border: 1px solid rgba(255, 255, 255, 0.4);
    border-radius: 100px;
    background: transparent;
    -webkit-backdrop-filter: blur(2px);
    backdrop-filter: blur(2px);
    margin-bottom: 8px;
}

/* Properties section - END */



/* Available locals section - START */

.available-locals-section {
    background: #1C79B705;
    border-top: 1px solid #E1E4ED;
}

.available-locals-section .title {
    font-size: 42px;
    color: #172F45;
}

@media (max-width: 991px) {
    .available-locals-section .title {
        text-align: center;
        font-size: 33px;
    }
}

.available-locals-section .card {
    background: transparent;
}

@media (max-width: 425px) {
    .available-locals-section .row > *:not(:first-child) .card {
        margin-top: 42px;
    }
}

.available-badge, .sold-out-badge {
    position: absolute;
    top: 12.4px;
    left: -11px;
    background-color: #ECFDF3;
    color: #027A48;
    padding: 6.3px 11.7px;
    border-radius: 4px;
    font-weight: 600;
    font-size: 14px;
}

.sold-out-badge {
    background: #F4EBEC;
    color: #B42318;
}

.available-locals-section .local-title {
    color: #172F45;
}

.available-locals-section .local-area {
    color: #6D758F;
}

.local-available-badge,
.local-sold-out-badge {
    position: absolute;
    bottom: 12px;
    left: 12px;
    padding: 6px 12px;
    border-radius: 100px;
    font-weight: 600;
    font-size: 14px;
}

.local-available-badge {
    background-color: #F2F7F5;
    color: #027A48;
    border: 1px solid #03A15F;
}

.local-sold-out-badge {
    background: #FBE3E2;
    color: #E51000;
    border: 1px solid #E51000;
}

/* Available locals section - END */



/* Best offer section - START */

.best-offer-section {
    background: #1C79B7;
}

.best-offer-section .title {
    font-family: 'Overused Grotesk', 'Inter', sans-serif;
    font-size: 42px;
    font-weight: 600 !important;
}

@media (min-width: 992px) {
    .best-offer-section .title {
        width: 418px;
        margin: 0 auto;
    }
}

.best-offer-section .card {
    padding: 32px 24px;
    border-radius: 10px;
    border: 1px solid #FFFFFF1F;
    height: 100%;
}

.best-offer-section .big-number {
    -webkit-text-stroke: 1px #ffffff;
    -webkit-text-fill-color: transparent;
}

@media (max-width: 991px) {
    .best-offer-section .big-number {
        font-size: 48px;
    }
}

/* Best offer section - END */



/* Contact us section - START */

.contact-us-section {
    position: relative;
    background: #1C79B7;
    z-index: 1;
}

.contact-us-section .pattern-background {
    position: absolute;
    width: calc(100% - 20px);
    height: 100%;
    left: 10px;
    bottom: 10px;
    background-repeat: no-repeat;
    background-position: bottom center;
    z-index: -1;
}

@media (max-width: 991px) {
    .contact-us-section .pattern-background {
        width: calc(100% - 15px);
        left: 7.5px;
    }
}

.contact-us-section .title {
    font-family: 'Overused Grotesk', 'Inter', sans-serif;
    font-size: 42px;
    font-weight: 500;
}

.contact-us-section .description {
    max-width: 419px;
    margin-left: auto;
    margin-right: auto;
}

@media (max-width: 767px) {
    .contact-us-section .description {
        margin-bottom: 42px !important
    }
}

.contact-us-section .btn {
    font-family: 'Inter', sans-serif;
    border-radius: 4.8px;
    color: #1C79B7;
    font-weight: 500;
    font-size: 16px;
}

@media (max-width: 767px) {
    .contact-us-section .btn {
        width: 100%;
        position: relative;
    }

    .contact-us-section .btn img {
        position: absolute;
        right: 16px;
    }
}

.contact-us-section .view-offer-text {
    margin-right: 8px;
}

/* Contact us section - END */



/* Footer - START */

footer {
    background: #ffffff;
    padding-top: 64px;
    border-top: 1px solid #F1F3F7;
}

@media (max-width: 425px) {
    footer {
        padding-top: 100px;
    }
}

footer .logo {
    width: 100%;
    height: auto;
    margin-bottom: 42px;
}

footer .nav-pages {
    margin-bottom: 32px;
    padding-bottom: 32px;
}

@media (max-width: 991px) {
    footer .nav-social {
        justify-content: center !important;
    }
}

footer .nav-pages .nav-link {
    font-size: 14px;
    font-weight: 500;
    text-decoration: none !important;
    padding: 0 !important;
}

footer .nav-pages .nav-link:not(.link-separator) {
    color: #6D758F;
}

footer .nav-pages .link-separator {
    color: #E1E4ED;
}

footer .all-rights-reserved {
    color: #172F45;
    font-size: 14px;
    text-align: center;
    white-space: nowrap;
}

@media (max-width: 991px) {
    footer .all-rights-reserved {
        font-size: 11px;
    }
}

footer .all-rights-reserved .separator {
    color: #E1E4ED;
    margin: 0 3px;
}

footer .nav-social .nav-link {
    padding: 0 !important;
}

/* Footer - END */
